Skip to main content
POST
/
v2
/
legal-entities
/
directors
Bulk Directors
curl --request POST \
  --url https://api.bizzy.ai/v2/legal-entities/directors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 123,
  "offset": 123,
  "search": "<string>"
}
'
[
    {
        "identifier": {
            "legalEntityId": "1778186251",
            "countryCode": "BE",
            "name": "Bizzy AI",
            "isPrimary": true
        },
        "data": [
            {
                "person": {
                    "contactId": "1086914623",
                    "firstName": "Lorenz",
                    "lastName": "Bogaert"
                },
                "function": "PERMANENT_REPRESENTATIVE",
                "since": "2025-05-16",
                "until": null
            },
            {
                "person": {
                    "contactId": "1481690419",
                    "firstName": "Filip",
                    "lastName": "Van Innis"
                },
                "function": "PERMANENT_REPRESENTATIVE",
                "since": "2025-05-16",
                "until": null
            },
            {
                "person": {
                    "contactId": "1086914623",
                    "firstName": "Lorenz",
                    "lastName": "Bogaert"
                },
                "function": "DIRECTOR",
                "since": "2025-05-16",
                "until": null
            },
            {
                "person": {
                    "contactId": "1481690419",
                    "firstName": "Filip",
                    "lastName": "Van Innis"
                },
                "function": "DIRECTOR",
                "since": "2025-05-16",
                "until": null
            }
        ],
        "pagination": {
            "limit": 4,
            "offset": 0,
            "total": 16
        },
        "message": null
    },
    { // Example error
        "identifier": {
            "legalEntityId": "123456789"
        },
        "data": null,
        "pagination": null,
        "message": "Legal entity not found"
    }
]

Request

Accept-Language
string
default:"EN"
  • NL: Dutch - FR: French - EN: English

Body

You can request up to 100 legal entities at once.
limit
number
default:"4"
Number of items to return per page. (max 500)
offset
number
default:"0"
Number of items to skip
You can query on name.

Response

The same limit and offset are shared over all legal entities. limit may not exceed 100, and legalEntities.length x limit may not exceed 500.
[
    {
        "identifier": {
            "legalEntityId": "1778186251",
            "countryCode": "BE",
            "name": "Bizzy AI",
            "isPrimary": true
        },
        "data": [
            {
                "person": {
                    "contactId": "1086914623",
                    "firstName": "Lorenz",
                    "lastName": "Bogaert"
                },
                "function": "PERMANENT_REPRESENTATIVE",
                "since": "2025-05-16",
                "until": null
            },
            {
                "person": {
                    "contactId": "1481690419",
                    "firstName": "Filip",
                    "lastName": "Van Innis"
                },
                "function": "PERMANENT_REPRESENTATIVE",
                "since": "2025-05-16",
                "until": null
            },
            {
                "person": {
                    "contactId": "1086914623",
                    "firstName": "Lorenz",
                    "lastName": "Bogaert"
                },
                "function": "DIRECTOR",
                "since": "2025-05-16",
                "until": null
            },
            {
                "person": {
                    "contactId": "1481690419",
                    "firstName": "Filip",
                    "lastName": "Van Innis"
                },
                "function": "DIRECTOR",
                "since": "2025-05-16",
                "until": null
            }
        ],
        "pagination": {
            "limit": 4,
            "offset": 0,
            "total": 16
        },
        "message": null
    },
    { // Example error
        "identifier": {
            "legalEntityId": "123456789"
        },
        "data": null,
        "pagination": null,
        "message": "Legal entity not found"
    }
]